Package org.eclipse.lemminx.extensions.contentmodel.participants

## Class XMLSyntaxRelatedInfoFinder

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.XMLSyntaxRelatedInfoFinder

All Implemented Interfaces:
  `IRelatedInfoFinder`

    public class XMLSyntaxRelatedInfoFinder
    extends Object
    implements IRelatedInfoFinder

Find related information for an XML syntax error

### Constructor Summary

Constructors
`XMLSyntaxRelatedInfoFinder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.eclipse.lsp4j.DiagnosticRelatedInformation>` `findRelatedInformation​(int offset, String errorKey, DOMDocument document)` Returns a list of related information

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLSyntaxRelatedInfoFinder

    public XMLSyntaxRelatedInfoFinder()

### Method Detail

#### findRelatedInformation

    public List<org.eclipse.lsp4j.DiagnosticRelatedInformation> findRelatedInformation​(int offset,
                                                                                       String errorKey,
                                                                                       DOMDocument document)

Description copied from interface: `IRelatedInfoFinder`
Returns a list of related information

Specified by:
  `findRelatedInformation` in interface `IRelatedInfoFinder`
Parameters:
  `offset` - The LemMinX reported error start offset
  `errorKey` - The error key
  `document` - The document
Returns:
  a list of related information